%global momorel 4
%global svnrev 206
%global svndate 20090621

Summary:        A Qt frontend to Octave
Name:           qtoctave
Version:        0.9.1
Release:        %{momorel}m%{?dist}
Group:          Applications/Engineering
License:        GPLv2+
# project info: https://forja.rediris.es/projects/csl-qtoctave/
URL:            http://qtoctave.wordpress.com/
Source0:        http://forja.rediris.es/frs/download.php/1760/%{name}-%{version}.tar.gz
NoSource:       0
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# place qtoctave_doc in qtoctave datadir
Patch0:         qtoctave-0.9.1-doc-path.patch
# fix build with different Qt versions
Patch1:         qtoctave-qt-version.patch
#qtinfo conflicts with libquicktime-utils
#renamed to qtoctave-info
Patch2:         qtoctave-info.patch
BuildRequires:  qt4-devel >= 4.6.3
BuildRequires:  octave-devel >= 3.2.0
BuildRequires:  desktop-file-utils
BuildRequires:  cmake
Requires(pre): hicolor-icon-theme gtk2
Requires:       octave >= 3.2.0
Obsoletes:      easy_plot xmlwidget

%description
Besides offering an attractive front-end to GNU Octave, an environment
for numerical computation highly compatible with MATLAB, QtOctave
currently also features matrix data entry and display and some GUI
shortcuts to frequently used Octave functions.

%prep
%setup -q

%patch0 -p1 -b .doc
%patch1 -p1 -b .qt-version
%patch2 -p1 -b .info

find xmlwidget/qt4/src/ -type f -exec chmod a-x {} \;
find easy_plot/src/ -type f -exec chmod a-x {} \;

%build
%cmake \
	-DCMAKE_C_FLAGS_RELEASE:STRING="-DNDEBUG" \
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="-DQT_NO_DEBUG" \
	-DCMAKE_SKIP_RPATH:STRING="ON" \
	.

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=QtOctave
GenericName=QtOctave - Qt Frontend to Octave
Comment=QtOctave Qt Frontend to Octave
Exec=qtoctave
Terminal=false
Type=Application
Icon=octave
EOF
# install desktop file
desktop-file-install --vendor= \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-category Application \
    --add-category Science \
    --add-category Math \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

%postun
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,-)
%doc *.txt
%{_bindir}/easy_plot
%{_bindir}/qtjs
%{_bindir}/qtoctave
%{_bindir}/qtoctave-info
%{_bindir}/qtoctave_pkg
%{_bindir}/simplercs
%{_bindir}/xmlwidget
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-4m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.1-3m)
- rebuild against qt-4.6.3-1m

* Wed May 26 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Fri May 14 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1 (sync with Fedora devel)

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.2-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Nov 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.2-3m)
- Obsoletes: xmlwidget

* Tue Nov 10 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.2-2m)
- Obsoletes: easy_plot
- update gcc44 patch

* Mon Nov  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2 official release

* Sun Aug 09 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.1-0.0.20090621.2m)
- add patch for gcc44, generated by gen44patch(v1)

* Wed Jun 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.1-0.0.20090621.1m)
- update to svn rev 206

* Thu Jun  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.1-0.0.20090602.1m)
- update to svn rev 203

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.4-6m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.4-5m)
- rebuild against rpm-4.6

* Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-4m)
- apply cmake26.patch to enable build
- http://groups.google.com/group/qtoctave-english/browse_thread/thread/d807b5f4e6971328

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-3m)
- change Icon of desktop file from %%{_datadir}/octave/KIMEUCHI/imagelib/octave-sombrero.png to octave

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.4-2m)
- rebuild against qt-4.4.0-1m

* Sat Apr 19 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.4-1m)
- import to Momonga
